Bug 10020 - Can't bootstrap gcc on AIX with Ada enabled
Summary: Can't bootstrap gcc on AIX with Ada enabled
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: ada (show other bugs)
Version: 3.2.2
: P3 normal
Target Milestone: ---
Assignee: Geert Bosch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-10 17:26 UTC by laurent.goujon
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description laurent.goujon 2003-03-10 17:26:01 UTC
Syntax error in line 136 of gcc/ada/link.c : cnonst instead of const

Release:
gcc version 3.2.2

Environment:
OS : IBM AIX 5.1.0
ARCH : RS6000
Comment 1 laurent.goujon 2003-03-10 17:26:01 UTC
Fix:
remplace cnonst by const
Comment 2 David Edelsohn 2003-03-31 17:49:22 UTC
Responsible-Changed-From-To: unassigned->bosch
Responsible-Changed-Why: Ada
Comment 3 Geert Bosch 2003-03-31 21:11:36 UTC
From: bosch@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: ada/10020
Date: 31 Mar 2003 21:11:36 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_3-branch
 Changes by:	bosch@gcc.gnu.org	2003-03-31 21:11:36
 
 Modified files:
 	gcc/ada        : link.c ChangeLog 
 
 Log message:
 	PR ada/10020
 	* link.c : Fix misspelled "const" keyword
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/link.c.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.3&r2=1.3.4.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.270.2.11&r2=1.270.2.12
 

Comment 4 Geert Bosch 2003-03-31 21:13:23 UTC
From: bosch@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: ada/10020
Date: 31 Mar 2003 21:13:23 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	bosch@gcc.gnu.org	2003-03-31 21:13:23
 
 Modified files:
 	gcc/ada        : link.c ChangeLog 
 
 Log message:
 	PR ada/10020
 	* link.c : Fix misspelled "const" keyword
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/link.c.diff?cvsroot=gcc&r1=1.3&r2=1.4
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&r1=1.298&r2=1.299
 
Comment 5 Geert Bosch 2003-03-31 21:17:01 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Fixed on GCC 3.[234] branches